---
title: "AffixedInput"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/affixed-input.tsx" sourceLine="31" packageName="@vendure/dashboard" />

A component for displaying an input with a prefix and/or a suffix.

*Example*

```tsx
<AffixedInput
    {...field}
    type="number"
    suffix="%"
    value={field.value}
    onChange={e => field.onChange(e.target.valueAsNumber)}
/>
```

```ts title="Signature"
function AffixedInput(props: Readonly<AffixedInputProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={``Readonly<AffixedInputProps>``} />

